[arch-commits] Commit in mplayer-plugin/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jun 29 21:26:07 UTC 2008


    Date: Sunday, June 29, 2008 @ 17:26:07
  Author: jgc
Revision: 3718

Merged revisions 3439-3717 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/mplayer-plugin/trunk

........
  r3694 | jgc | 2008-06-29 12:20:20 +0000 (Sun, 29 Jun 2008) | 2 lines
  
  upgpkg: mplayer-plugin 3.55-1
      Make it build with xulrunner
........

Modified:
  mplayer-plugin/repos/extra-x86_64/	(properties)
  mplayer-plugin/repos/extra-x86_64/PKGBUILD
  mplayer-plugin/repos/extra-x86_64/mplayerplug-in_xulrunner-1.9.patch

------------------------------------+
 PKGBUILD                           |   21 +++++++++++----------
 mplayerplug-in_xulrunner-1.9.patch |   28 ++++++++++++----------------
 2 files changed, 23 insertions(+), 26 deletions(-)


Property changes on: mplayer-plugin/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /mplayer-plugin/trunk:1-3438
   + /mplayer-plugin/trunk:1-3717

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-06-29 21:22:07 UTC (rev 3717)
+++ extra-x86_64/PKGBUILD	2008-06-29 21:26:07 UTC (rev 3718)
@@ -1,28 +1,29 @@
 # $Id$
 # Mantainer: Alexander Baldeck <alexander at archlinux.org>
 pkgname=mplayer-plugin
-pkgver=3.50
-pkgrel=4
+pkgver=3.55
+pkgrel=1
 pkgdesc="mplayerplug-in is a browser plugin that uses mplayer to play videos from websites."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://mplayerplug-in.sourceforge.net/"
-depends=('gtk2>=2.12.10' 'mozilla-common>=1.1-2' 'mplayer' 'libxpm')
-makedepends=('seamonkey>=1.1.9' 'pkgconfig')
+depends=('gtk2>=2.12.10' 'mozilla-common>=1.2' 'mplayer' 'libxpm')
+makedepends=('xulrunner>=1.9' 'pkgconfig')
 backup=(etc/mplayerplug-in.conf)
 install=mplayer-plugin.install
 source=(http://downloads.sourceforge.net/mplayerplug-in/mplayerplug-in-${pkgver}.tar.gz
 	mplayerplug-in_xulrunner-1.9.patch)
-md5sums=('7a9306c39f6550090c16b9c1d87e3168'
-         '83ec37f4009d862e259697e7fe395c7f')
+md5sums=('cb59d32221cfbd04b6a8b3bb55593484'
+         'fc8dfd9dfad841febf8a649f6caab4a2')
 
 build() {
-  cd ${startdir}/src/mplayerplug-in
-  patch -Np1 -i ${startdir}/src/mplayerplug-in_xulrunner-1.9.patch || return 1
+  cd ${startdir}/src/mplayerplug-in-${pkgver}
+  patch -Np0 -i ${startdir}/src/mplayerplug-in_xulrunner-1.9.patch || return 1
+  aclocal || return 1
   autoconf || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
-      --with-faad --enable-gtk2 --enable-wmp \
-      --enable-qt --enable-rm --enable-gmp || return 1
+    --enable-wmp --enable-qt --enable-rm \
+    --enable-gmp --enable-dvx --enable-gtk2 || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 }

Modified: extra-x86_64/mplayerplug-in_xulrunner-1.9.patch
===================================================================
--- extra-x86_64/mplayerplug-in_xulrunner-1.9.patch	2008-06-29 21:22:07 UTC (rev 3717)
+++ extra-x86_64/mplayerplug-in_xulrunner-1.9.patch	2008-06-29 21:26:07 UTC (rev 3718)
@@ -1,17 +1,13 @@
-diff -Naur mplayerplug-in.orig/configure.in mplayerplug-in/configure.in
---- mplayerplug-in.orig/configure.in	2007-12-02 04:53:04.000000000 +0530
-+++ mplayerplug-in/configure.in	2008-04-11 00:30:26.000000000 +0530
-@@ -54,9 +54,10 @@
- 
- ],[
- 	AC_MSG_NOTICE([Determining mozilla/firefox packages to build against])
--	PKG_CHECK_MODULES(MOZPLUG,[mozilla-plugin],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir mozilla-plugin`"
--MOZILLA_HOME=`$PKG_CONFIG --variable=libdir mozilla-plugin`
--],[AC_MSG_WARN([mozilla-plugin not found])])
-+	# There's no www-client/mozilla anymore, and this interferes with =net-libs/xulrunner-1.9* now
-+#	PKG_CHECK_MODULES(MOZPLUG,[mozilla-plugin],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir mozilla-plugin`"
-+#MOZILLA_HOME=`$PKG_CONFIG --variable=libdir mozilla-plugin`
-+#],[AC_MSG_WARN([mozilla-plugin not found])])
- 
+--- configure.in.orig	2008-06-29 11:55:57.000000000 +0000
++++ configure.in	2008-06-29 12:05:54.000000000 +0000
+@@ -79,8 +79,8 @@
+ 	fi
  	if test "$MOZPLUG_CFLAGS" = ""; then
- 		PKG_CHECK_MODULES(MOZPLUG,[firefox-plugin firefox-xpcom],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir firefox-plugin`"
+ 		PKG_CHECK_MODULES(MOZPLUG,[libxul],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir libxul`"
+-MOZILLA_HOME=`$PKG_CONFIG --variable=libdir libxul`
+-GECKO_IDLDIR=`$PKG_CONFIG --variable=idldir libxul`
++MOZILLA_HOME=`$PKG_CONFIG --variable=sdkdir libxul`/bin
++GECKO_IDLDIR=`$PKG_CONFIG --variable=idldir libxul`/stable
+ ],[AC_MSG_WARN([libxul not found])])
+ 	fi
+ 	if test "$MOZPLUG_CFLAGS" = ""; then





More information about the arch-commits mailing list